Bug 59935 - ddd in Hampton immediately segfaults on a hello-world program.
ddd in Hampton immediately segfaults on a hello-world program.
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: ddd (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-15 00:36 EST by Sam Varshavchik
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-21 13:42:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sam Varshavchik 2002-02-15 00:36:51 EST
Description of Problem:

ddd segfaults on startup.

Version-Release number of selected component (if applicable):

ddd-3.3.1-10

How Reproducible:

Always

Steps to Reproduce:

Script started on Fri Feb 15 00:30:41 2002
[mrsam@laptop mrsam]$ cat t.C
#include <iostream>
#include <fstream>

using namespace std;

int main()
{
	fstream f("testfile", ios::out);
	return (0);
}
[mrsam@laptop mrsam]$ c++ -g -o t t.C
[mrsam@laptop mrsam]$ ddd t

Internal error (Segmentation fault).

Oops!  You have found a bug in DDD.

If you can reproduce this bug, please send a bug report
to <bug-ddd@gnu.org>, giving a subject like

    DDD 3.3.1 (i386-redhat-linux-gnu) gets `Segmentation fault' signal

To enable us to fix the bug, you should include the following information:
* What you were doing to get this message.  Report all the facts.
* The contents of the `~/.ddd/log' file as generated by this session.
Please read also the section "Reporting Bugs" in the DDD manual.

We thank you for your support.


Internal error (Segmentation fault).

Oops!  You have found a bug in DDD.

If you can reproduce this bug, please send a bug report
to <bug-ddd@gnu.org>, giving a subject like

    DDD 3.3.1 (i386-redhat-linux-gnu) gets `Segmentation fault' signal

To enable us to fix the bug, you should include the following information:
* What you were doing to get this message.  Report all the facts.
* The contents of the `~/.ddd/log' file as generated by this session.
Please read also the section "Reporting Bugs" in the DDD manual.

We thank you for your support.

Segmentation fault
[mrsam@laptop mrsam]$ cat ~/.ddd/log
GNU DDD 3.3.1 (i386-redhat-linux-gnu)
Copyright (C) 1995-1999 Technische Universitdt Braunschweig, Germany.
Copyright (C) 1999-2001 Universitdt Passau, Germany.

Compiled with GCC 3.1 20020115 (Red Hat Linux Rawhide 3.1-0.18), GNU libc 2.2
Requires X11R6, Xt11R6, Motif 2.1.30 (Motif Version 2.1.30)
Includes XPM 3.4.11, Athena Panner, DDD core
Built 2002-01-17 by Compile Server <bhcompile@stripples.devel.redhat.com>.
$  ddd t
!  Segmentation fault
!  Segmentation fault
[mrsam@laptop mrsam]$ 
Script done on Fri Feb 15 00:32:00 2002
Comment 1 Ngo Than 2002-02-22 05:42:54 EST
It's fixed in 3.3.1-11. You will find it in next rawhide release.

Note You need to log in before you can comment on or make changes to this bug.